Foreman - Refactor #13938

Remove reports fixtures
02/29/2016 03:35 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Tests

Target version: 1.12.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3248
Description

The fixtures for reports, logs and messages cause problems under Rails 4.2 as they are associated to fixture hosts which no longer
exist (since #7733). Since their hosts were removed, the reports should also be removed and tests should use FactoryGirl instead.

On 4.2, functional and integration tests for config reports fail when rendering links to report.host, which is always nil (and for normal
use we have a presence check on host_id):

1) Error:
ConfigReportsControllerTest#test_index:
ActionView: :Template: :Error: undefined method "name' for nil:NilClass
app/models/report.rb:56:1in "to_label'
app/helpers/application_helper.rb:31:in “link_to'
app/helpers/application_helper.rb:176:in “display_link_if_authorized'
app/helpers/application_helper.rb:166:in “display_delete_if_ authorized'
app/views/config_reports/_list.html.erb:35:in ‘block in _app_views_config_reports_ list_html_e
rb_ 4177766395673083355_151768240"
app/views/config_reports/_list.html.erb:18:in ' _app_views_config_reports__list_html_erb__ 4177
766395673083355_151768240"
app/views/config_reports/index.html.erb:3:in ~_app_views_config_reports_index_html_erb__ 419665
6909700471881_151739580"'
app/controllers/concerns/application_shared.rb:13:in "set_timezone'
app/models/concerns/foreman/thread_session.rb:32:in “clear_thread'
test/functional/config_reports_controller_test.rb:8:in "“test_index'

Related issues:
Related to Foreman - Refactor #7733: Remove Host Fixtures Closed
Blocks Foreman - Feature #13244: Upgrade Ruby on Rails to 4.2 Closed

09/29/2014
01/15/2016

Associated revisions

Revision 141dead7 - 03/01/2016 05:12 AM - Dominic Cleal
fixes #13938 - remove reports fixtures
Under Rails 4.2, the rendering of the config_reports#show page was

failing as the reports fixtures referenced hosts that didn't exist.
Presence of host_id is validated under normal circumstances.

History

#1 - 02/29/2016 03:36 AM - Dominic Cleal
- Related to Refactor #7733: Remove Host Fixtures added

#2 - 02/29/2016 03:37 AM - Dominic Cleal
- Blocks Feature #13244: Upgrade Ruby on Rails to 4.2 added

#3 - 02/29/2016 03:37 AM - The Foreman Bot

05/18/2024 12



https://projects.theforeman.org/issues/7733

- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3248 added

#4 - 03/01/2016 06:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 141dead709ca7f99ffdc78ba6d6dca60f3d8188f.

#5 - 03/01/2016 06:02 AM - Dominic Cleal

- translation missing: en.field_release set to 136
